## ocamlodbc 2.8

=== Makefile ===
--- 
+++ 
@@ -1,3 +1,27 @@
+#################################################################################
+#                OCamlODBC                                                         #
+#                                                                               #
+#    Copyright (C) 2004 Institut National de Recherche en Informatique et       #
+#    en Automatique. All rights reserved.                                       #
+#                                                                               #
+#    This program is free software; you can redistribute it and/or modify       #
+#    it under the terms of the GNU Lesser General Public License as published   #
+#    by the Free Software Foundation; either version 2.1 of the License, or     #
+#    any later version.                                                         #
+#                                                                               #
+#    This program is distributed in the hope that it will be useful,            #
+#    but WITHOUT ANY WARRANTY; without even the implied warranty of             #
+#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the              #
+#    GNU Lesser General Public License for more details.                        #
+#                                                                               #
+#    You should have received a copy of the GNU Lesser General Public License   #
+#    along with this program; if not, write to the Free Software                #
+#    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA                   #
+#    02111-1307  USA                                                            #
+#                                                                               #
+#    Contact: Maxence.Guesdon@inria.fr                                          #
+#################################################################################
+
 include master.Makefile
 
 OBJOCAML  = ocaml_odbc.cmo 
@@ -13,42 +37,42 @@
 # For different target databases
 ################################
 mysql: dummy
-	make clean_all
+	make clean
 	make BASE=MYSQL all
 	mkdir -p $@
 	$(CP) $(LIB_C) $(LIB_A) $(LIB_CMI) $(LIB) $(LIB_OPT) $@/
 	@echo Libs are in $@/
 
 postgres: dummy
-	make clean_all
+	make clean
 	make BASE=POSTGRES all
 	mkdir -p $@
 	$(CP) $(LIB_C) $(LIB_A) $(LIB_CMI) $(LIB) $(LIB_OPT) $@/
 	@echo Libs are in $@/
 
 db2: dummy
-	make clean_all
+	make clean
 	make BASE=DB2 all
 	mkdir -p $@
 	$(CP) $(LIB_C) $(LIB_A) $(LIB_CMI) $(LIB) $(LIB_OPT) $@/
 	@echo Libs are in $@/
 
 openingres: dummy
-	make clean_all
+	make clean
 	make BASE=OPENINGRES all
 	mkdir -p $@
 	$(CP) $(LIB_C) $(LIB_A) $(LIB_CMI) $(LIB) $(LIB_OPT) $@/
 	@echo Libs are in $@/
 
 unixodbc: dummy
-	make clean_all
+	make clean
 	make BASE=unixODBC all
 	mkdir -p $@
 	$(CP) $(LIB_C) $(LIB_A) $(LIB_CMI) $(LIB) $(LIB_OPT) $@/
 	@echo Libs are in $@/
 
 oraclecfo: dummy
-	make clean_all
+	make clean
 	make BASE=ORACLECFO all
 	mkdir -p $@
 	$(CP) $(LIB_C) $(LIB_A) $(LIB_CMI) $(LIB) $(LIB_OPT) $@/
@@ -78,11 +102,12 @@
 lib: $(LIB_C) $(LIB_CMI) $(LIB)
 lib_opt: $(LIB_C) $(LIB_CMI) $(LIB_OPT)
 
-clean_all: clean
+clean:
+	$(RM) *~ #*# *-
 	$(RM) *.o *.cmi *.cmo *.cma *.cmx *.cmxa *.a
 
-clean:
-	$(RM) *~ #*# *-
+distclean: clean
+	$(RM) master.Makefile config.*
 
 # documentation :
 #################
@@ -91,6 +116,22 @@
 	$(OCAMLDOC) $(OCAMLPP) $(COMPFLAGS) -d doc -html \
 	-dump doc/ocamlodbc.odoc ocamlodbc.mli ocamlodbc.ml
 	@echo Documentation is in doc/index.html
+
+# headers :
+###########
+headers: dummy
+	headache -h lgpl_header -c ~/.headache_config *.ml *.mli *.c \
+	configure.in configure master.Makefile.in Makefile
+	headache -h gpl_header -c ~/.headache_config \
+	Biniki/*.ml \
+	Exemples/*.ml 
+
+noheaders: dummy
+	headache -r -c ~/.headache_config *.ml *.mli \
+	configure.in configure master.Makefile.in \
+        Exemples/*.ml \
+	Biniki/*.ml
+
 
 # installation :
 ################
