## ocamlodbc 2.12

=== Makefile ===
--- 
+++ 
@@ -1,26 +1,26 @@
-#################################################################################
-#                OCamlODBC                                                         #
-#                                                                               #
-#    Copyright (C) 2004 Institut National de Recherche en Informatique et       #
-#    en Automatique. All rights reserved.                                       #
-#                                                                               #
-#    This program is free software; you can redistribute it and/or modify       #
-#    it under the terms of the GNU Lesser General Public License as published   #
-#    by the Free Software Foundation; either version 2.1 of the License, or     #
-#    any later version.                                                         #
-#                                                                               #
-#    This program is distributed in the hope that it will be useful,            #
-#    but WITHOUT ANY WARRANTY; without even the implied warranty of             #
-#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the              #
-#    GNU Lesser General Public License for more details.                        #
-#                                                                               #
-#    You should have received a copy of the GNU Lesser General Public License   #
-#    along with this program; if not, write to the Free Software                #
-#    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA                   #
-#    02111-1307  USA                                                            #
-#                                                                               #
-#    Contact: Maxence.Guesdon@inria.fr                                          #
-#################################################################################
+###############################################################################
+#              OCamlODBC                                                      #
+#                                                                             #
+#  Copyright (C) 2004 Institut National de Recherche en Informatique et       #
+#  en Automatique. All rights reserved.                                       #
+#                                                                             #
+#  This program is free software; you can redistribute it and/or modify       #
+#  it under the terms of the GNU Lesser General Public License as published   #
+#  by the Free Software Foundation; either version 2.1 of the License, or     #
+#  any later version.                                                         #
+#                                                                             #
+#  This program is distributed in the hope that it will be useful,            #
+#  but WITHOUT ANY WARRANTY; without even the implied warranty of             #
+#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the              #
+#  GNU Lesser General Public License for more details.                        #
+#                                                                             #
+#  You should have received a copy of the GNU Lesser General Public License   #
+#  along with this program; if not, write to the Free Software                #
+#  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA                   #
+#  02111-1307  USA                                                            #
+#                                                                             #
+#  Contact: Maxence.Guesdon@inria.fr                                          #
+###############################################################################
 
 include master.Makefile
 
@@ -154,8 +154,8 @@
 .PHONY : install
 install:
 	@echo "Installation instructions:"
-	@echo '  To install $(RESULT) using findlib type: "make findlib_install"'
-	@echo '  To install $(RESULT) dirctly type : "make direct_install"'
+	@echo '  To install using findlib type: "make findlib_install"'
+	@echo '  To install directly type : "make direct_install"'
 
 direct_install: dummy
 	if test -d $(INSTALL_BINDIR); then : ; else $(MKDIR) $(INSTALL_BINDIR); fi
@@ -172,9 +172,9 @@
 	done
 
 # common rules
-.depend depend::
+.depend depend:: $(wildcard *.ml) $(wildcard *.mli)
 	rm -f .depend
-	$(OCAMLDEP) $(INCLUDES) *.ml *.mli > .depend
+	$(OCAMLDEP) $(INCLUDES) $^ > .depend
 
 
 .SUFFIXES: .c .o
