=== debian/changelog ===
ocamlodbc (2.15-7) unstable; urgency=medium

  * Team upload
  * Do not link library with -custom
  * Remove Samuel from Uploaders
  * Update Vcs-*
  * Switch to dh sequencer
  * Bump debhelper compat level to 13
  * Bump Standards-Version to 4.5.0
  * Add Rules-Requires-Root: no

 -- Stéphane Glondu <glondu@debian.org>  Wed, 14 Oct 2020 14:40:18 +0200

ocamlodbc (2.15-6.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop spurious build dep on unixodbc-bin
  * Switch to source format 3.0, dpatch is deprecated
  * Remove stale VCS links

 -- Moritz Muehlenhoff <jmm@debian.org>  Fri, 27 Sep 2019 23:00:34 +0200

ocamlodbc (2.15-6) unstable; urgency=low

  [ Stefano Zacchiroli ]
  * remove myself from Uploaders

  [ Sylvain Le Gall ]
  * Remove Sylvain Le Gall from uploaders

  [ Mehdi Dogguy ]
  * Team upload
  * Do not pre-process source files (Closes: #796033). There are no lines
    containing the 'DEBUG' string in .ml files.

 -- Mehdi Dogguy <mehdi@debian.org>  Sat, 17 Oct 2015 21:11:19 +0200

ocamlodbc (2.15-5) unstable; urgency=low

  * Use dh-ocaml 0.9.1 features
  * Upgrade Standards-Version to 3.8.3 (section ocaml, README.source, Homepage
    field)

 -- Sylvain Le Gall <gildor@debian.org>  Sat, 19 Dec 2009 23:29:03 +0000

ocamlodbc (2.15-4) unstable; urgency=low

  * Rebuild with OCaml 3.11.
  * Use dh-ocaml.
  * Switch packaging to git.
  * Update compat to 7.
  * Update standards version to 3.8.0.

 -- Samuel Mimram <smimram@debian.org>  Thu, 05 Mar 2009 10:07:42 +0100

ocamlodbc (2.15-3) unstable; urgency=medium

  [ Stefano Zacchiroli ]
  * fix vcs-svn field to point just above the debian/ dir
  * bump urgency for the OCaml 3.10.1 transition
  * add myself as an Uploader

  [ Stephane Glondu ]
  * Fix FTBFS if build twice in a row (Closes: #442691)

 -- Stefano Zacchiroli <zack@debian.org>  Mon, 03 Mar 2008 11:44:11 +0100

ocamlodbc (2.15-2) unstable; urgency=low

  * Rebuild with OCaml 3.10.1

 -- Samuel Mimram <smimram@debian.org>  Sat, 08 Sep 2007 01:22:19 +0200

ocamlodbc (2.15-1) unstable; urgency=low

  * New upstream release.
  * Refreshed makefile.dpatch.
  * Don't ignore errors on clean.

 -- Samuel Mimram <smimram@debian.org>  Thu, 19 Jul 2007 11:09:46 +0200

ocamlodbc (2.12-2) unstable; urgency=low

  * Upload to unstable.

 -- Samuel Mimram <smimram@debian.org>  Wed, 11 Apr 2007 16:56:05 +0200

ocamlodbc (2.12-1) experimental; urgency=low

  * New upstream release.
  * Not providing the libocamlodbc-ocaml-bin package anymore, biniki was a toy
    example and is now provided as an example in libocamlodbc-ocaml-dev,
    closes: #354946.
  * Removed lablgtk2.dpatch, integrated upstream.
  * We don't need to remove rpaths anymore.
  * Updated package description.
  * Updated standards version to 3.7.2, no changes needed.

 -- Samuel Mimram <smimram@debian.org>  Wed, 28 Feb 2007 18:47:42 +0100

ocamlodbc (2.10-5) unstable; urgency=low

  * Rebuild with OCaml 3.09.2.
  * Updated standards version to 3.7.2, no changes needed.

 -- Samuel Mimram <smimram@debian.org>  Thu, 18 May 2006 22:52:05 +0000

ocamlodbc (2.10-4) unstable; urgency=low

  * Rebuild with OCaml 3.09.1.

 -- Samuel Mimram <smimram@debian.org>  Sun,  8 Jan 2006 19:08:45 +0100

ocamlodbc (2.10-3) unstable; urgency=low

  * Updated makefiles.dpatch to build libocamlodbc.a and using back ocamlfind
    to do the installation, closes: #340103.
  * Rebuilding with binNMUed lablgtk2 on sparc, closes: #344614.

 -- Samuel Mimram <smimram@debian.org>  Sun, 25 Dec 2005 16:03:06 +0100

ocamlodbc (2.10-2) unstable; urgency=low

  * Reverting to the former installation method, closes: #340103.

 -- Samuel Mimram <smimram@debian.org>  Mon, 19 Dec 2005 21:40:27 +0100

ocamlodbc (2.10-1) unstable; urgency=low

  * New upstream release.
  * Added lablgtk2.dpatch to use lablgtk2 instead of lablgtk and changed the
    build dependencies accordingly.
  * Updated makefiles.dpatch.
  * No longer hardcoding OCaml's ABI in debian/* files.
  * Bumped standards version to 3.6.2, no changes needed.

 -- Samuel Mimram <smimram@debian.org>  Sun, 20 Nov 2005 17:02:57 +0100

ocamlodbc (2.9-1) unstable; urgency=low

  * New upstream release.
  * Removed the lintian override and use chrpath to remove the rpath in
    biniki.
  * Added a watch file.
  * Added Section:devel for source.

 -- Samuel Mimram <smimram@debian.org>  Wed, 13 Apr 2005 12:52:48 +0200

ocamlodbc (2.8-3) unstable; urgency=medium

  * I forgot to fill libocamlodbc-ocaml-bin.override, closes: #302515.

 -- Samuel Mimram <smimram@debian.org>  Fri,  1 Apr 2005 20:51:12 +0200

ocamlodbc (2.8-2) unstable; urgency=medium

  * New maintainer: set Debian OCaml Maintainers as new maintainer and added
    myself to Uploaders.
  * Rebuilding with OCaml 3.08.3.
  * Updated Standards-Version to 3.6.1.1.
  * Using dpatch for managing patches.
  * Many cleanups in the rules (using dh_install and dh_shlibsdeps in
    particular).
  * Added a lintian override for OCaml rpath's problem.

 -- Samuel Mimram <smimram@debian.org>  Mon, 28 Mar 2005 22:04:11 +0200

ocamlodbc (2.8-1) unstable; urgency=low

  * New upstream version.
  * Updated to build with OCaml 3.08.

 -- John Goerzen <jgoerzen@complete.org>  Tue, 27 Jul 2004 09:07:41 -0500

ocamlodbc (2.7-2) unstable; urgency=low

  * Applied patch from Mike Furr <mfurr@debian.org> to fix the build
    process on platforms that lack ocamlopt.  Closes: #239833.
    His patch also fixes a potential -fPIC problem.

 -- John Goerzen <jgoerzen@complete.org>  Wed, 21 Apr 2004 11:45:18 -0500

ocamlodbc (2.7-1) unstable; urgency=low

  * Initial Release.  Closes: #234740.

 -- John Goerzen <jgoerzen@complete.org>  Wed, 25 Feb 2004 09:51:15 -0600
