=== debian/control ===
Source: ocamlodbc
Section: ocaml
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Build-Depends:
 debhelper-compat (= 13),
 unixodbc-dev,
 dh-ocaml (>= 0.9.1),
 ocaml-nox (>= 3.11),
 ocaml-findlib (>= 1.2.4),
 liblablgtk2-ocaml-dev (>= 2.12.0)
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: http://download.gna.org/ocamlodbc/
Vcs-Git: https://salsa.debian.org/ocaml-team/ocamlodbc.git
Vcs-Browser: https://salsa.debian.org/ocaml-team/ocamlodbc

Package: libocamlodbc-ocaml-dev
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, ${ocaml:Depends}, unixodbc-dev
Provides: ${ocaml:Provides}
Description: UnixODBC database bindings for OCaml
 Bindings of the UnixODBC library for the OCaml language, letting you access
 many different databases from within OCaml.
 .
 This package provides the development and documentation file.
