=== debian/watch ===
version=3

http://download.gna.org/ocamlodbc/ocamlodbc[_-]([1-9]*)[_\.]([1-9]*).tar.gz debian uuscan
